# $Revision: 1.19 $, $Date: 2007/02/13 07:47:12 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	HTML
%define		pnam	FormValidator
Summary:	HTML::FormValidator - validate user input, basing on input profile
Summary(pl.UTF-8):	HTML::FormValidator - sprawdzanie w oparciu o schemat, co wprowadził użytkownik
Name:		perl-HTML-FormValidator
Version:	0.11
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pnam}-%{version}.tar.gz
# Source0-md5:	860703094c6d68a3453f3319225066ed
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTML::FormValidator validates user input (usually from an HTML form)
based on an input profile.  It's main aim is to make the tedious
coding of input validation expressible in a simple format and to let
the programmer focus on more interesting task.

%description -l pl.UTF-8
HTML::FormValidator sprawdza poprawność otrzymanych od użytkownika
danych, w oparciu o zdefiniowany profil. Głównym celem jest
uproszczenie nudnego procesu kodowania kontroli poprawności danych
wejściowych i pozwolenie programiście na koncentrację na bardziej
interesujących zadaniach.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTML-FormValidator.spec,v $
Revision 1.19  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.17  2004/11/03 22:30:25  paladine
- formatting

Revision 1.16  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.15  2004/05/07 01:09:20  ankry
- rel. 3

Revision 1.14  2004/05/06 18:09:40  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/25 00:50:55  ankry
- cosmetics: unification

Revision 1.12  2004/04/22 06:53:51  ankry
- license fixes and unification

Revision 1.11  2004/04/14 17:08:52  ankry
- cosmetics, unifications

Revision 1.10  2003/09/09 10:24:37  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:50  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 19:36:42  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:39:25  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:32:55  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/02 11:06:24  ankry
- massive cleaning

Revision 1.1  2002/08/06 19:56:47  radek
- new, STBR
